goalPlaceWood.mSteps = 
{
	{ action = "click", object = objectIoCampfire, selection = objectHoWoodBundle },
	{ action = "click", object = objectIoCampfire, selection = objectHoKindling },
}
-- ----------------------------------------------------------------------------
function goalPlaceWood:onStarted()
    
    objectIoCampfire:ss(kActive)
    
end
-- ----------------------------------------------------------------------------
function goalPlaceWood:onAnimationFinish(animationName)
	
	if (animationName == "fadingInKindling_blocking") then
		objectPoiFirepitKindling:ss(kActive)
		self:checkAchieved()
	
	elseif (animationName == "fadingInSticks_blocking") then
		objectPoiFirepitKindling:ss(kInactive)
		objectPoiFirepitWood:ss(kActive)
		self:checkAchieved()
		
	end
	
end
-- ----------------------------------------------------------------------------
function goalPlaceWood:onFinished()
	
	objectIoCampfire:ss(kIdle)
	objectExitWoods1Loverslane:ss(kActive)
	objectHoLighter:ss(kActive)
	
end
-- ----------------------------------------------------------------------------
function goalPlaceWood:checkAchieved()
	
	if (not objectPoiFirepit:isDone()) then
		objectPoiFirepit:ss(kDone)
	end
	
	if (objectKindling:isIdle() and objectCampfireWoodBundle:isIdle()) then
		self:achieved()
		if (not objectPoiFirepitWood:isActive()) then
			objectPoiFirepitKindling:ss(kDone)
			objectPoiFirepitWood:ss(kActive)
		end
	
	end
	
end